GDB (xrefs)

Public Attributes | List of all members
m88k_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | pc
int | sp_offset
int | fp_offset
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 430 of file m88k-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR m88k_frame_cache::base

Definition at line 433 of file m88k-tdep.c.

Referenced by m88k_frame_base_address(), m88k_frame_cache(), and m88k_frame_this_id().

## ◆ fp_offset

int m88k_frame_cache::fp_offset

Definition at line 437 of file m88k-tdep.c.

Referenced by m88k_analyze_prologue(), m88k_frame_base_address(), and m88k_frame_cache().

## ◆ pc

CORE_ADDR m88k_frame_cache::pc

Definition at line 434 of file m88k-tdep.c.

Referenced by m88k_frame_cache(), and m88k_frame_this_id().

## ◆ saved_regs

struct trad_frame_saved_reg* m88k_frame_cache::saved_regs

Definition at line 440 of file m88k-tdep.c.

Referenced by m88k_analyze_prologue(), m88k_frame_cache(), and m88k_frame_prev_register().

## ◆ sp_offset

int m88k_frame_cache::sp_offset

Definition at line 436 of file m88k-tdep.c.

Referenced by m88k_analyze_prologue(), m88k_frame_base_address(), and m88k_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/m88k-tdep.c